Summary:   library with asynchronous io functionality
Name:      libasyncio
Version:   0.2
Release:   1
License:   LGPL
Group:     Intranator
Vendor:    Intra2net AG
Source:    %{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-root
Prefix:    /usr
Requires:  libi2ncommon >= 1.0
Requires:   boost >= 1.32.0
BuildPrereq: libtool
BuildRequires: boost-devel >= 1.32.0
Obsoletes: libsimpleio

%description 
library with asynchronous io functionality


%package   devel
Summary:   library with asynchronous io functionality
Group:     Intranator/Development
Requires:  libi2ncommon-devel
Requires:  boost-devel >= 1.32.0
Obsoletes: libsimpleio-devel


%description devel
development files for library with asynchronous io functionality


%package utils
Summary:   library with asynchronous io functionality
Group:     Intranator
Requires: boost >= 1.32.0

%description utils
A collection of util function and classes used within asyncio, but
are also usable for other purposes, too.


%package utils-devel
Summary:   library with asynchronous io functionality
Group:     Intranator/Development
Requires: boost-devel >= 1.32.0

%description utils-devel
development files for asyncio utils.


%package t2n
Summary:    glue library for using t2n with libasyncio
Group:      Intranator
BuildRequires: libt2n-devel >= 0.4
Requires:   libt2n >= 0.4
Obsoletes:  libsimpleio-t2n

%description t2n
glue lib for using t2n with simpleio.


%package t2n-devel
Summary:    glue library for using t2n with libasyncio
Group:      Intranator/Development
Requires:   libt2n-devel >= 0.4

%description t2n-devel
development files for glue lib for using t2n with simpleio.



%prep
%setup -q

%build
export PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/intranator/lib/pkgconfig
autoreconf --force -i
./configure $RPM_BUILD_WITH_OPTIMIZE --prefix=%{prefix}
dmake

for dir in utils asyncio; do
    make -C $dir headerlist
done

dmake check

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%{prefix}/lib/libasyncio.so*

%files devel -f headerlist.asyncio
%defattr(-,root,root)
%{prefix}/lib/libasyncio.*a*
%{prefix}/lib/pkgconfig/libasyncio.pc


%files utils
%defattr(-,root,root)
%{prefix}/lib/libasyncio_utils.so*


%files utils-devel -f headerlist.utils
%defattr(-,root,root)
%{prefix}/lib/libasyncio.*a*
%{prefix}/lib/pkgconfig/libasyncio_utils.pc


%files t2n
%defattr(-,root,root)
%doc LICENSE
%{prefix}/lib/libasyncio_t2n.so*

%files t2n-devel
%defattr(-,root,root)
%{prefix}/lib/libasyncio_t2n.*a*
%{prefix}/lib/pkgconfig/libasyncio_t2n.pc
%{prefix}/include/asyncio_t2n*.hpp

